MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::BEMSolvent Class Reference
Inheritance diagram for sc::BEMSolvent:

List of all members.

## Public Member Functions

| BEMSolvent (const Ref< KeyVal > &)
void | init ()
void | done (int clear_surface=1)
int | ncharge ()
Ref< Molecule > | solvent ()
double | solvent_density ()
double ** | alloc_charge_positions ()
void | free_charge_positions (double **a)
double ** | alloc_normals ()
void | free_normals (double **a)
double * | alloc_efield_dot_normals ()
void | free_efield_dot_normals (double *a)
double * | alloc_charges ()
void | free_charges (double *a)
void | charge_positions (double **)
void | normals (double **)
void | compute_charges (double *efield_dot_normals, double *charge)
void | normalize_charge (double enclosed_charge, double *charges)
double | nuclear_charge_interaction_energy (double *nuclear_charge, double **charge_positions, double *charge)
double | nuclear_interaction_energy (double **charge_positions, double *charge)
double | self_interaction_energy (double **charge_positions, double *charge)
double | polarization_charge (double *charge)
double | area () const
double | volume () const
double | computed_enclosed_charge () const
double | disp ()
double | rep ()
double | disprep ()
void | init_system_matrix ()
Ref< TriangulatedImplicitSurface > | surface () const
Ref< SCMatrixKit > | matrixkit ()

The documentation for this class was generated from the following file:

- bem.h